/*
 * httpserver.h - URLfilterDB
 *
 * ufdbGuard is copyrighted (C) 2005-2012 by URLfilterDB with all rights reserved.
 *
 * RCS $Id: httpserver.h,v 1.6 2012/01/06 20:27:21 root Exp root $
 */

#ifndef UFDB_HTTPSERVER_H_INCLUDED
#define UFDB_HTTPSERVER_H_INCLUDED

#define UFDBHTTPD_PID_FILE	"/var/tmp/ufdbhttpd.pid"

extern char * globalHttpdPidFile;

void writeHttpdPidFile( void );
void removeHttpdPidFile( void );

void ufdbSimulateHttpServer( 
	const char * interface, 
	int port, 
	const char * username,
	const char * imagesDirectory, 
	int flags );

#endif

