/*
 * ufdbdb.h - URLfilterDB
 *
 * ufdbGuard is copyrighted (C) 2005-2012 by URLfilterDB with all rights reserved.
 *
 * RCS $Id: ufdbdb.h,v 1.1 2012/04/07 12:57:31 root Exp root $
 */

#ifndef UFDB_UFDBDB_H_INCLUDED
#define UFDB_UFDBDB_H_INCLUDED

#include "ufdb.h"
#include <time.h>
#include <stdio.h>
#include <sys/times.h>
#include <sys/utsname.h>

UFDBrevURL * UFDBgenRevURL( UFDBthreadAdmin * admin, unsigned char * URL );
void UFDBprintRevURL( UFDBrevURL * revURL );
void UFDBfreeRevURL( UFDBthreadAdmin * admin, UFDBrevURL * revURL );

int UFDBparseTableHeader( struct UFDBmemTable * memTable );
void UFDBparseTable( struct UFDBmemTable * memTable );
void UFDBfreeTableIndex_1_2( struct UFDBtable * t );

int UFDBlookup( UFDBthreadAdmin * admin, struct UFDBmemTable * mt, char * request );
int UFDBlookupRevUrl( struct UFDBtable * t, UFDBrevURL * revUrl );

int UFDBloadDatabase( struct UFDBmemTable * mtable, char * file );

#endif

